image: node:6.10.1

pages:
  cache:
    paths:
    - core/node_modules/

  script:
  - npm install -g @angular/cli
  - cd core
  - npm install
  - npm run docs:build
  - mv docs ../public
  artifacts:
    paths:
    - public
  only:
  - master
